#include <G15.h>    // include the library
#include <SoftwareSerial.h>
#define LED_BOARD 13

//declaration of variables & object
word ERROR=0;
byte DATA[10]; 
word STATUS;
word BTPOS=0; 
byte dat=1; 
int accelerometer; 

//declare G15 Class Object
//servo1 ID=0x01
G15 cubeservo1(0x01); //ID1
G15 cubeservo2(0x02); //ID2
SoftwareSerial mySerial(10, 11);


void setup(){
  
//initialize the arduino main board's serial/UART and Control Pins
//CTRL pin for G15 =3 and AX12 =2
  G15ShieldInit(19200,3,2); 
  
//call the init function to init servo obj
  cubeservo1.init();
  cubeservo2.init();   

//init LED indicator as output
  pinMode(LED_BOARD,OUTPUT);  
  digitalWrite(LED_BOARD, LOW); 
  
  mySerial.begin(9600);  //default baudrate of BlueBee is 9600 in transparent mode
    
  cubeservo1.SetWheelMode();
  cubeservo2.SetWheelMode();
  
  delay(1000); 
  
}
void loop(){
   
     
      
     if (mySerial.available()>=2)
      {   
        dat= mySerial.read();
       
        if(dat=='a')
        {
          dat=mySerial.read();
             
          switch(dat)
          {
              case 'r':  cubeservo1.SetWheelSpeed(0, CW); 
                         cubeservo2.SetWheelSpeed(1023, CCW);   
                         break ;               
              case 'l':  cubeservo1.SetWheelSpeed(1023, CW); 
                         cubeservo2.SetWheelSpeed(0, CCW);  
                         break ; 
                         
              case '+':  cubeservo1.SetWheelSpeed(1023, CW); 
                         cubeservo2.SetWheelSpeed(1023, CCW); 
                         break; 
                         
              case '-':  cubeservo1.SetWheelSpeed(1023, CCW); 
                         cubeservo2.SetWheelSpeed(1023, CW); 
                         break; 
      
              case '0':  cubeservo1.SetWheelSpeed(0, CCW); 
                         cubeservo2.SetWheelSpeed(0, CCW); 
                         break; 
                         
              default:   mySerial.flush(); 
          }
          
        }
        else 
        {
           mySerial.flush(); 
        }



      }
      
      
}
